ros-rolling-demo-nodes-cpp (0.19.0-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-demo-nodes-cpp (0.18.0-1focal) focal; urgency=high

  * Update maintainers to Audrow Nash and Michael Jeronimo (#543 <https://github.com/ros2/demos/issues/543>)
  * Add how to fix the most vexing parse problem (#541 <https://github.com/ros2/demos/issues/541>)
    * use uniform initialization
  * Contributors: Audrow Nash, Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 17 Dec 2021 08:00:00 -0000

ros-rolling-demo-nodes-cpp (0.17.0-1focal) focal; urgency=high

  * Fixing deprecated subscriber callback warnings (#532 <https://github.com/ros2/demos/issues/532>)
  * Contributors: Abrar Rahman Protyasha

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 18 Oct 2021 07:00:00 -0000

ros-rolling-demo-nodes-cpp (0.16.0-1focal) focal; urgency=high

  * Update talker_loaned_message.cpp (#518 <https://github.com/ros2/demos/issues/518>)
  * Contributors: Zongbao Feng

 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 11 Aug 2021 07:00:00 -0000

ros-rolling-demo-nodes-cpp (0.15.0-1focal) focal; urgency=high

  * Revert "Use sizeof(char) in place for sizeof(void) (#515 <https://github.com/ros2/demos/issues/515>)" (#516 <https://github.com/ros2/demos/issues/516>)
  * change how serialized message works with subscription (#497 <https://github.com/ros2/demos/issues/497>)
  * Use sizeof(char) in place for sizeof(void) (#515 <https://github.com/ros2/demos/issues/515>)
  * Fix small print issue in allocator tutorial. (#509 <https://github.com/ros2/demos/issues/509>)
  * Contributors: Chris Lalancette, Michel Hidalgo, William Woodall

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 14 May 2021 07:00:00 -0000

ros-rolling-demo-nodes-cpp (0.14.2-1focal) focal; urgency=high

  * Small fixes for even_parameters_node. (#500 <https://github.com/ros2/demos/issues/500>)
  * Contributors: Chris Lalancette

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 26 Apr 2021 07:00:00 -0000

ros-rolling-demo-nodes-cpp (0.14.1-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 19 Apr 2021 07:00:00 -0000

ros-rolling-demo-nodes-cpp (0.14.0-1focal) focal; urgency=high

  * change ParameterEventHandler to take events as const ref instead of shared pointer (#494 <https://github.com/ros2/demos/issues/494>)
  * Fix integer type in RCLCPP_* macro printf. (#492 <https://github.com/ros2/demos/issues/492>)
  * Contributors: Chris Lalancette, William Woodall

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-demo-nodes-cpp (0.13.0-1focal) focal; urgency=high

  * Add a demo for the new ParameterEventHandler class (#486 <https://github.com/ros2/demos/issues/486>)
  * Contributors: Michael Jeronimo

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 25 Mar 2021 07:00:00 -0000

ros-rolling-demo-nodes-cpp (0.12.1-1focal) focal; urgency=high

  * Filter qos overrides in paramter events demos (#491 <https://github.com/ros2/demos/issues/491>)
  * Update code now that parameter types are static by default (#487 <https://github.com/ros2/demos/issues/487>)
  * Contributors: Ivan Santiago Paunovic

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-demo-nodes-cpp (0.12.0-1focal) focal; urgency=high

  * Update logging macros (#476 <https://github.com/ros2/demos/issues/476>)
  * Contributors: Audrow Nash

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-demo-nodes-cpp (0.11.0-1focal) focal; urgency=high

  * Make sure to wait for the service before declaring events. (#473 <https://github.com/ros2/demos/issues/473>)
  * Update the package.xml files with the latest Open Robotics maintainers (#466 <https://github.com/ros2/demos/issues/466>)
  * Contributors: Chris Lalancette, Michael Jeronimo

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 10 Dec 2020 08:00:00 -0000

ros-rolling-demo-nodes-cpp (0.10.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 21 Sep 2020 07:00:00 -0000

ros-rolling-demo-nodes-cpp (0.10.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 17 Jun 2020 07:00:00 -0000

ros-rolling-demo-nodes-cpp (0.9.3-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-rolling-demo-nodes-cpp (0.9.2-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 26 May 2020 07:00:00 -0000

ros-rolling-demo-nodes-cpp (0.9.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 12 May 2020 07:00:00 -0000

ros-rolling-demo-nodes-cpp (0.9.0-1focal) focal; urgency=high

  * avoid new deprecations (#442 <https://github.com/ros2/demos/issues/442>)
  * use serialized message (#441 <https://github.com/ros2/demos/issues/441>)
  * Replace deprecated launch_ros usage (#437 <https://github.com/ros2/demos/issues/437>)
  * code style only: wrap after open parenthesis if not in one line (#429 <https://github.com/ros2/demos/issues/429>)
  * Use spin_until_future_complete instead of spin_some in parameters_event demo (#427 <https://github.com/ros2/demos/issues/427>)
  * change the logging demo test for updated console format (#421 <https://github.com/ros2/demos/issues/421>)
  * [demo_nodes_cpp]  Add XML launch demos (#419 <https://github.com/ros2/demos/issues/419>)
  * Contributors: Dirk Thomas, Ivan Santiago Paunovic, Jacob Perron, Karsten Knese, Steven Macenski, William Woodall, Yutaka Kondo

 -- William Woodall <william@osrfoundation.org>  Thu, 30 Apr 2020 07:00:00 -0000

ros-rolling-demo-nodes-cpp (0.8.4-1focal) focal; urgency=high

  * Add in a more helpful usage message to allocator_tutorial. (#409 <https://github.com/ros2/demos/issues/409>)
  * Contributors: Chris Lalancette

 -- William Woodall <william@osrfoundation.org>  Tue, 19 Nov 2019 08:00:00 -0000

ros-rolling-demo-nodes-cpp (0.8.3-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 11 Nov 2019 08:00:00 -0000

ros-rolling-demo-nodes-cpp (0.8.2-1focal) focal; urgency=high

  * Don't redefine add_dependencies (#408 <https://github.com/ros2/demos/issues/408>)
  * Contributors: Dan Rose

 -- William Woodall <william@osrfoundation.org>  Fri, 08 Nov 2019 08:00:00 -0000

ros-rolling-demo-nodes-cpp (0.8.1-1focal) focal; urgency=high

  * rename return functions for loaned messages (#403 <https://github.com/ros2/demos/issues/403>)
  * Replace ready_fn with ReadyToTest action (#404 <https://github.com/ros2/demos/issues/404>)
  * remove intra-process manager impl (#382 <https://github.com/ros2/demos/issues/382>)
  * zero copy api (#394 <https://github.com/ros2/demos/issues/394>)
  * Remove command line parsing from C++ demos (#401 <https://github.com/ros2/demos/issues/401>)
  * Need to specify NodeOption explicitly to allow declaration. (#389 <https://github.com/ros2/demos/issues/389>)
  * Contributors: Alberto Soragna, Jacob Perron, Karsten Knese, Peter Baughman, tomoya

 -- William Woodall <william@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-rolling-demo-nodes-cpp (0.8.0-1focal) focal; urgency=high

  * Adding visibility macros to demos (#381 <https://github.com/ros2/demos/issues/381>)
  * Demos using composition (#375 <https://github.com/ros2/demos/issues/375>)
  * Contributors: Siddharth Kucheria

 -- William Woodall <william@osrfoundation.org>  Thu, 26 Sep 2019 07:00:00 -0000

ros-rolling-demo-nodes-cpp (0.7.6-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 30 May 2019 07:00:00 -0000

ros-rolling-demo-nodes-cpp (0.7.5-1focal) focal; urgency=high

  * Update to use new parameter option names (#355 <https://github.com/ros2/demos/issues/355>)
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Wed, 29 May 2019 07:00:00 -0000

ros-rolling-demo-nodes-cpp (0.7.4-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 20 May 2019 07:00:00 -0000

ros-rolling-demo-nodes-cpp (0.7.3-1focal) focal; urgency=high

  * Added the ``parameter_blackboard`` demo to ``demo_nodes_cpp`` to make some tutorials easier. (#333 <https://github.com/ros2/demos/issues/333>)
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Fri, 10 May 2019 07:00:00 -0000

ros-rolling-demo-nodes-cpp (0.7.2-1focal) focal; urgency=high

  * changes to avoid deprecated API's (#332 <https://github.com/ros2/demos/issues/332>)
  * Corrected publish calls with shared_ptr signature (#327 <https://github.com/ros2/demos/issues/327>)
  * Migrate launch tests to new launch_testing features & API (#318 <https://github.com/ros2/demos/issues/318>)
  * Contributors: Michel Hidalgo, William Woodall, ivanpauno

 -- William Woodall <william@osrfoundation.org>  Wed, 08 May 2019 07:00:00 -0000

ros-rolling-demo-nodes-cpp (0.7.1-1focal) focal; urgency=high

  * Updated to declare parameters. (#241 <https://github.com/ros2/demos/issues/241>)
  * Contributors: Shane Loretz

 -- William Woodall <william@osrfoundation.org>  Fri, 26 Apr 2019 07:00:00 -0000

ros-rolling-demo-nodes-cpp (0.7.0-1focal) focal; urgency=high

  * Moved away from deprecated rclcpp APIs. (#321 <https://github.com/ros2/demos/issues/321>)
  * Added launch along with launch_testing as test dependencies. (#313 <https://github.com/ros2/demos/issues/313>)
  * Updated for NodeOptions Node constructor. (#308 <https://github.com/ros2/demos/issues/308>)
  * Contributors: Emerson Knapp, Michael Carroll, Michel Hidalgo

 -- William Woodall <william@osrfoundation.org>  Sun, 14 Apr 2019 07:00:00 -0000

ros-rolling-demo-nodes-cpp (0.6.2-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 15 Jan 2019 08:00:00 -0000

ros-rolling-demo-nodes-cpp (0.6.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 13 Dec 2018 08:00:00 -0000

ros-rolling-demo-nodes-cpp (0.6.0-1focal) focal; urgency=high

  * Added semicolons to all RCLCPP and RCUTILS macros. (#278 <https://github.com/ros2/demos/issues/278>)
  * Removed parameter node, all nodes take parameter by default now (#265 <https://github.com/ros2/demos/issues/265>)
  * Added example of registering custom parameter validation callbacks (#273 <https://github.com/ros2/demos/issues/273>)
  * Removed imu_listener node (#272 <https://github.com/ros2/demos/issues/272>)
  * Refined demo_nodes_cpp source codes (#269 <https://github.com/ros2/demos/issues/269>)
  * Fixed typo in comment (#268 <https://github.com/ros2/demos/issues/268>)
  * Removed rosidl deps as this package doesnt generate any messages (#264 <https://github.com/ros2/demos/issues/264>)
  * Fixed no return code for main() in several files (#266 <https://github.com/ros2/demos/issues/266>)
  * Contributors: Chris Lalancette, Mikael Arguedas, Yutaka Kondo, testkit

 -- William Woodall <william@osrfoundation.org>  Fri, 07 Dec 2018 08:00:00 -0000

ros-rolling-demo-nodes-cpp (0.5.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 28 Jun 2018 07:00:00 -0000

ros-rolling-demo-nodes-cpp (0.5.0-1focal) focal; urgency=high

  * Reduced the publishing of the allocator_tutorial to 100Hz. (#257 <https://github.com/ros2/demos/issues/257>)
    * Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Removed the now obsolete ros2param executable, use ``ros2 param`` instead. (#251 <https://github.com/ros2/demos/issues/251>)
  * Fixed a potiential nullptr dereference issue in ``demo_nodes_cpp``. (#242 <https://github.com/ros2/demos/issues/242>)
  * Added demo nodes which use the new serialized message typed publishers and subscriptions. (#185 <https://github.com/ros2/demos/issues/185>)
  * Added a new-style launch file for the talker and listener demo nodes, called ``talker_listener.launch.py``. (#244 <https://github.com/ros2/demos/issues/244>)
  * Updated launch files to account for the "old launch" getting renamespaced as ``launch`` -> ``launch.legacy``. (#239 <https://github.com/ros2/demos/issues/239>)
  * Updated to handle refactor of the ``ParameterVariant`` class. (#237 <https://github.com/ros2/demos/issues/237>)
  * Updated to account for the fact that the ROS Parameter services starts automatically now. (#236 <https://github.com/ros2/demos/issues/236>)
  * Added some uses of parameter arrays to the ``set_and_get_parameters`` demo. (#235 <https://github.com/ros2/demos/issues/235>)
  * Contributors: Chris Lalancette, Dirk Thomas, Karsten Knese, Mikael Arguedas, Shane Loretz, William Woodall, cshen

 -- William Woodall <william@osrfoundation.org>  Wed, 27 Jun 2018 07:00:00 -0000


